package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.DevicesMapper;
import com.zyc.system.domain.Devices;
import com.zyc.system.service.IDevicesService;

/**
 * 设备基本信息Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class DevicesServiceImpl implements IDevicesService 
{
    @Autowired
    private DevicesMapper devicesMapper;

    /**
     * 查询设备基本信息
     * 
     * @param id 设备基本信息主键
     * @return 设备基本信息
     */
    @Override
    public Devices selectDevicesById(Integer id)
    {
        return devicesMapper.selectDevicesById(id);
    }

    /**
     * 查询设备基本信息列表
     * 
     * @param devices 设备基本信息
     * @return 设备基本信息
     */
    @Override
    public List<Devices> selectDevicesList(Devices devices)
    {
        return devicesMapper.selectDevicesList(devices);
    }

    /**
     * 新增设备基本信息
     * 
     * @param devices 设备基本信息
     * @return 结果
     */
    @Override
    public int insertDevices(Devices devices)
    {
        return devicesMapper.insertDevices(devices);
    }

    /**
     * 修改设备基本信息
     * 
     * @param devices 设备基本信息
     * @return 结果
     */
    @Override
    public int updateDevices(Devices devices)
    {
        return devicesMapper.updateDevices(devices);
    }

    /**
     * 批量删除设备基本信息
     * 
     * @param ids 需要删除的设备基本信息主键
     * @return 结果
     */
    @Override
    public int deleteDevicesByIds(Integer[] ids)
    {
        return devicesMapper.deleteDevicesByIds(ids);
    }

    /**
     * 删除设备基本信息信息
     * 
     * @param id 设备基本信息主键
     * @return 结果
     */
    @Override
    public int deleteDevicesById(Integer id)
    {
        return devicesMapper.deleteDevicesById(id);
    }
}
